TEMPLATE = app
TARGET = fingerprintHelper
#CONFIG += qt thread
DEPENDPATH += . ../../../../include ../../../../src
INCLUDEPATH += . ../../../../include

LIBS += -lusb -lfprint -lpam -lfakekey -lX11

# Input
HEADERS += \
            ../../../../include/DeviceHandler.h \
            ../../../../include/UsbDevice.h \
            ../../../../include/FingerprintDevice.h \
            ../../../../include/FingerprintData.h \
            ../../../../include/FingerprintDiscoverer.h \
            ../../../../include/PamGUI.h \
            ../../../../include/PamNonGUI.h \
            ../../../../include/globals.h

FORMS += ../../../../src/fingerprintPlugin.ui
           
SOURCES += \
            ../../../../src/DeviceHandler.cpp \
            ../../../../src/UsbDevice.cpp \
            ../../../../src/FingerprintDevice.cpp \
            ../../../../src/FingerprintData.cpp \
            ../../../../src/FingerprintDiscoverer.cpp \
            ../../../../src/PamGUI.cpp \
            ../../../../src/PamNonGUI.cpp \
            ../../../../src/fingerprintHelper.cpp

RESOURCES += ../../../../src/widget-res.qrc
