
TEMPLATE = app
TARGET = fingerprintGUI
CONFIG += qt thread crypto
QT += xml
DEPENDPATH += . ../../../include ../../../src
INCLUDEPATH += . ../../../include ../../../upek/include

DEFINES += HAS_LIBBSAPI

LIBS += -lusb -lfprint -lpam -lpam_misc
LIBS += -lbsapi

# Input
HEADERS += ../../../include/DeviceHandler.h \
           ../../../include/globals.h \
           ../../../include/AboutImpl.h \
           ../../../include/ExistDialogImpl.h \
           ../../../include/fingercodes.h \
           ../../../include/Fingerprint.h \
           ../../../include/FingerprintDevice.h \
           ../../../include/MainWindowImpl.h \
           ../../../include/SavedDialogImpl.h \
           ../../../include/MessageDialogImpl.h \
           ../../../include/PamTester.h \
           ../../../include/xmlwriter.h \
           ../../../include/UserSettings.h \
           ../../../include/UsbDevice.h

FORMS += ../../../src/About.ui \
         ../../../src/ExistDialog.ui \         
         ../../../src/fingerprintGUI.ui \
         ../../../src/SavedDialog.ui \
         ../../../src/Message.ui

SOURCES += ../../../src/DeviceHandler.cpp \
           ../../../src/AboutImpl.cpp \
           ../../../src/ExistDialogImpl.cpp \
           ../../../src/Fingerprint.cpp \
           ../../../src/FingerprintDevice.cpp \
           ../../../src/fingerprintGUI.cpp \
           ../../../src/MainWindowImpl.cpp \
           ../../../src/SavedDialogImpl.cpp \
           ../../../src/MessageDialogImpl.cpp \
           ../../../src/PamTester.cpp \
           ../../../src/xmlwriter.cpp \
           ../../../src/UserSettings.cpp \
           ../../../src/UsbDevice.cpp

RESOURCES += ../../../src/GUI-res.qrc\
             ../../../src/About-res.qrc
